API reference / Operations by tag
creatives
Creative files, sets and previews that partners can download.
20 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.
Operations
| Method | Path | Summary |
|---|---|---|
| GET | /creative-sets | List CreativeSets |
| POST | /creative-sets | Create CreativeSet |
| GET | /creative-sets/{id} | Get CreativeSet |
| PATCH | /creative-sets/{id} | Update CreativeSet |
| DELETE | /creative-sets/{id} | Delete CreativeSet |
| POST | /creative-sets/bulk/apply | Bulk edit apply |
| POST | /creative-sets/bulk/preview | Bulk edit preview |
| POST | /creative-sets/search | Search CreativeSets (advanced) |
| GET | /creatives | List Creatives |
| POST | /creatives | Create Creative |
| GET | /creatives/{id} | Get Creative |
| PATCH | /creatives/{id} | Update Creative |
| DELETE | /creatives/{id} | Delete Creative |
| POST | /creatives/{id}/upload | Upload creative file (image/html/zip/video) to object storage |
| GET | /creatives/{id}/url | Presigned / stable URL of the creative file |
| POST | /creatives/bulk/apply | Bulk edit apply |
| POST | /creatives/bulk/delete | Delete up to 500 creatives in one transaction (dry_run: true previews without saving) |
| POST | /creatives/bulk/preview | Bulk edit preview |
| POST | /creatives/search | Search Creatives (advanced) |
| POST | /files/upload | Upload temp file (multipart) |
GET /creative-sets
List CreativeSets
Operation getCreativeSets. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | no | |
page_size | query | integer | no | |
sort | query | string | no | field or -field |
include | query | string | no | comma-separated relationships |
filter | query | object (free-form) | no | |
q | query | string | no | free-text search |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CreativeSetList |
| default | error | application/json Error |
curl 'https://api.metrixed.com/v1/creative-sets?page=1&page_size=50' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
POST /creative-sets
Create CreativeSet
Operation postCreativeSets. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): CreativeSetCreate
| Field | Type | Flags | Description |
|---|---|---|---|
offer_id | string | required | |
name | string | required | |
description | string | ||
creative_ids | array of string | ||
status | string | ||
partner_visibility | string | ||
partner_ids | array of string |
| Status | Description | Body |
|---|---|---|
| 201 | ok | application/json CreativeSet |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/creative-sets' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"offer_id":"","name":""}'
Example 201 response:
{
"external_ref": ""
}
GET /creative-sets/{id}
Get CreativeSet
Operation getCreativeSetsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CreativeSet |
| default | error | application/json Error |
curl 'https://api.metrixed.com/v1/creative-sets/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"external_ref": ""
}
PATCH /creative-sets/{id}
Update CreativeSet
Operation patchCreativeSetsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body (application/json, required): CreativeSetUpdate
| Field | Type | Flags | Description |
|---|---|---|---|
offer_id | string | ||
name | string | ||
description | string | ||
creative_ids | array of string | ||
status | string | ||
partner_visibility | string | ||
partner_ids | array of string |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CreativeSet |
| default | error | application/json Error |
curl -X PATCH 'https://api.metrixed.com/v1/creative-sets/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"offer_id":"","name":"","description":"","creative_ids":[""]}'
Example 200 response:
{
"external_ref": ""
}
DELETE /creative-sets/{id}
Delete CreativeSet
Operation deleteCreativeSetsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl -X DELETE 'https://api.metrixed.com/v1/creative-sets/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 204 response:
{
"ok": false
}
POST /creative-sets/bulk/apply
Bulk edit apply
Operation postCreativeSetsBulkApply. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/creative-sets/bulk/apply' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /creative-sets/bulk/preview
Bulk edit preview
Operation postCreativeSetsBulkPreview. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/creative-sets/bulk/preview' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /creative-sets/search
Search CreativeSets (advanced)
Operation postCreativeSetsSearch. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): SearchRequest
| Field | Type | Flags | Description |
|---|---|---|---|
filters | array of object | ||
search | string | ||
sort | array of object (free-form) | ||
page | integer | ||
page_size | integer | ||
include | array of string |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CreativeSetList |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/creative-sets/search' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"filters":[{}],"search":"","sort":[{}],"page":0}'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
GET /creatives
List Creatives
Operation getCreatives. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | no | |
page_size | query | integer | no | |
sort | query | string | no | field or -field |
include | query | string | no | comma-separated relationships |
filter | query | object (free-form) | no | |
q | query | string | no | free-text search |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CreativeList |
| default | error | application/json Error |
curl 'https://api.metrixed.com/v1/creatives?page=1&page_size=50' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
POST /creatives
Create Creative
Operation postCreatives. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): CreativeCreate
| Field | Type | Flags | Description |
|---|---|---|---|
offer_ids | array of string | ||
name | string | required | |
type | enum: image, html, thumbnail, email, archive, video, text, link, native | required | |
status | string | ||
is_private | boolean | ||
width | integer | ||
height | integer | ||
file_ref | string | ||
resource_url | string | ||
html_code | string | ||
html_files | array of object (free-form) | ||
mime_type | string | ||
description | string | ||
email | object (free-form) | from, subject, subject_lines, from_lines | |
partner_visibility | string | ||
partner_ids | array of string | ||
tags | array of string |
curl -X POST 'https://api.metrixed.com/v1/creatives' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"name":"","type":"image"}'
Example 201 response:
{
"external_ref": ""
}
GET /creatives/{id}
Get Creative
Operation getCreativesId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl 'https://api.metrixed.com/v1/creatives/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"external_ref": ""
}
PATCH /creatives/{id}
Update Creative
Operation patchCreativesId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body (application/json, required): CreativeUpdate
| Field | Type | Flags | Description |
|---|---|---|---|
offer_ids | array of string | ||
name | string | ||
type | enum: image, html, thumbnail, email, archive, video, text, link, native | ||
status | string | ||
is_private | boolean | ||
width | integer | ||
height | integer | ||
file_ref | string | ||
resource_url | string | ||
html_code | string | ||
html_files | array of object (free-form) | ||
mime_type | string | ||
description | string | ||
email | object (free-form) | from, subject, subject_lines, from_lines | |
partner_visibility | string | ||
partner_ids | array of string | ||
tags | array of string |
curl -X PATCH 'https://api.metrixed.com/v1/creatives/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"offer_ids":[""],"name":"","type":"image","status":""}'
Example 200 response:
{
"external_ref": ""
}
DELETE /creatives/{id}
Delete Creative
Operation deleteCreativesId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl -X DELETE 'https://api.metrixed.com/v1/creatives/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 204 response:
{
"ok": false
}
POST /creatives/{id}/upload
Upload creative file (image/html/zip/video) to object storage
Operation postCreativesIdUpload. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body (application/json, required): any
curl -X POST 'https://api.metrixed.com/v1/creatives/<id>/upload' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"external_ref": ""
}
GET /creatives/{id}/url
Presigned / stable URL of the creative file
Operation getCreativesIdUrl. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl 'https://api.metrixed.com/v1/creatives/<id>/url' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"ok": false
}
POST /creatives/bulk/apply
Bulk edit apply
Operation postCreativesBulkApply. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/creatives/bulk/apply' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /creatives/bulk/delete
Delete up to 500 creatives in one transaction (dry_run: true previews without saving)
Operation postCreativesBulkDelete. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkDeleteRequest
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkActionResult |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/creatives/bulk/delete' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{}'
Example 200 response:
{}
POST /creatives/bulk/preview
Bulk edit preview
Operation postCreativesBulkPreview. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): BulkPatch
| Field | Type | Flags | Description |
|---|---|---|---|
ids | array of string | required | |
patches | array of object | required |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json BulkPreview |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/creatives/bulk/preview' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'
Example 200 response:
{
"affected": 0,
"changes": [
{}
],
"warnings": [
""
],
"token": ""
}
POST /creatives/search
Search Creatives (advanced)
Operation postCreativesSearch. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): SearchRequest
| Field | Type | Flags | Description |
|---|---|---|---|
filters | array of object | ||
search | string | ||
sort | array of object (free-form) | ||
page | integer | ||
page_size | integer | ||
include | array of string |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json CreativeList |
| default | error | application/json Error |
curl -X POST 'https://api.metrixed.com/v1/creatives/search' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"filters":[{}],"search":"","sort":[{}],"page":0}'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
POST /files/upload
Upload temp file (multipart)
Operation postFilesUpload. Auth: API key (Bearer) or session cookie.
curl -X POST 'https://api.metrixed.com/v1/files/upload' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"ok": false
}